Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.InfoCenter.InfoUI
Class RsltDtBindingFrm

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          jp.sbi.celldesigner.plugin.InfoCenter.InfoUI.RsltDtBindingFrm

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class RsltDtBindingFrm

extends javax.swing.JDialog

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `iCmpColNum`
`static int` | `iMcsColNum`
`static int` | `iMpkColNum`
`static int` | `iNSpColNum`
`static int` | `iSpIColNum`
`static int` | `iSpNColNum`
`static int` | `iSptColNum`
`static java.lang.String` | `strID`
`static java.lang.String` | `strName`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`RsltDtBindingFrm(java.awt.Frame owner, java.io.File file, java.util.List datas, int dataType, int modelType)`

Method Summary
`java.lang.String[][]` | `getAuxDatas()`
`java.util.List` | `getDatasOfAllSheet()`
`java.util.List` | `getDatasOfCurrentSheet()`
`int` | `getDataType()`
`java.io.File` | `getFile()`
`javax.swing.JComboBox` | `getMappingKeyComboBox()`
`java.lang.String[][]` | `getMassDatas()`
`java.util.Vector[]` | `getMiriamDatas()`
`int` | `getModelType()`
`int` | `getOldmiriamRelationIndex()`
`java.util.List` | `getRelationsAndIDCols()`
`javax.swing.JComboBox` | `getSpeciesTypeComboBox()`
`boolean` | `isCanceled()`
`static java.io.File` | `openXlsFile(java.awt.Component parentfrm)`
`void` | `setAuxDatas(java.lang.String[][] datas)`
`void` | `setCursorBySpecification(java.awt.Cursor c1)`
`void` | `setDatasOfAllSheet(java.util.List datas)`
`void` | `setDataType(int dataType)`
`void` | `setFile(java.io.File file)`
`void` | `setMassDatas(java.lang.String[][] datas)`
`void` | `setMiriamDatas(java.util.Vector[] miriamDatas)`
`void` | `setModelType(int modelType)`
`void` | `setOldmiriamRelationIndex(int miriamRelationBak)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### strID

    public static final java.lang.String strID

See Also:
  Constant Field Values

### strName

    public static final java.lang.String strName

See Also:
  Constant Field Values

### iSpIColNum

    public static final int iSpIColNum

See Also:
  Constant Field Values

### iSpNColNum

    public static final int iSpNColNum

See Also:
  Constant Field Values

### iCmpColNum

    public static final int iCmpColNum

See Also:
  Constant Field Values

### iMpkColNum

    public static final int iMpkColNum

See Also:
  Constant Field Values

### iSptColNum

    public static final int iSptColNum

See Also:
  Constant Field Values

### iMcsColNum

    public static final int iMcsColNum

See Also:
  Constant Field Values

### iNSpColNum

    public static final int iNSpColNum

See Also:
  Constant Field Values

Constructor Detail

### RsltDtBindingFrm

    public RsltDtBindingFrm(java.awt.Frame owner,
                            java.io.File file,
                            java.util.List datas,
                            int dataType,
                            int modelType)

Method Detail

### getSpeciesTypeComboBox

    public javax.swing.JComboBox getSpeciesTypeComboBox()

### getMappingKeyComboBox

    public javax.swing.JComboBox getMappingKeyComboBox()

### isCanceled

    public boolean isCanceled()

### setCursorBySpecification

    public void setCursorBySpecification(java.awt.Cursor c1)

### setDataType

    public void setDataType(int dataType)

### getDataType

    public int getDataType()

### setFile

    public void setFile(java.io.File file)

### getFile

    public java.io.File getFile()

### setDatasOfAllSheet

    public void setDatasOfAllSheet(java.util.List datas)

### getDatasOfAllSheet

    public java.util.List getDatasOfAllSheet()

### getDatasOfCurrentSheet

    public java.util.List getDatasOfCurrentSheet()

### openXlsFile

    public static final java.io.File openXlsFile(java.awt.Component parentfrm)

### getMassDatas

    public java.lang.String[][] getMassDatas()

### setMassDatas

    public void setMassDatas(java.lang.String[][] datas)

### getAuxDatas

    public java.lang.String[][] getAuxDatas()

### setAuxDatas

    public void setAuxDatas(java.lang.String[][] datas)

### setModelType

    public void setModelType(int modelType)

### getModelType

    public int getModelType()

### getOldmiriamRelationIndex

    public int getOldmiriamRelationIndex()

### setOldmiriamRelationIndex

    public void setOldmiriamRelationIndex(int miriamRelationBak)

### getMiriamDatas

    public java.util.Vector[] getMiriamDatas()

### setMiriamDatas

    public void setMiriamDatas(java.util.Vector[] miriamDatas)

### getRelationsAndIDCols

    public java.util.List getRelationsAndIDCols()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD